path: /build/build/pinentry-gnome-app-crypt-1.2.1+3.package.tar.zst
dependencies: []
compilespec:
  steps:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="lua caps gnome-keyring -luajit gtk qt5 efl" emerge pinentry -j ${JOBS}
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/pinentry-gnome && luet-portage --dir
    /pkgdir/pinentry-gnome app-crypt/pinentry && eval 'rm -v /var/cache/distfiles/*
    ${LUET_PORTAGE_CACHE_PACKAGES}/* || true'
  env: []
  prelude:
  - luet repo update && luet install -y --force system/luet-devkit utils/jq utils/yq
    dev-util/pkgs-checker-minimal app-admin/macaronictl pinentry make git toolchain/base
    toolchain/meta-repo toolchain/meta-geaaru-kit system/entities app-admin/whip whip-profiles/macaroni
    macaroni/whip-catalog macaroni/entities-catalog qtgui qtdbus qtcore qtprintsupport
    gcr vala libsecret efl eselect-pinentry gcc-config && luet miner ri virtual/base
    && mkdir /tmp/ && chmod a+rwx /tmp && eselect gcc set 1 && eval 'rm /etc/localtime
    || true' && ln -s /usr/share/zoneinfo/Europe/Rome /etc/localtime && macaronictl
    env-update && eval 'locale-gen || true' && luet cleanup --purge-repos
  image: macaronios/phoenix-dev-minimal-devel:latest-amd64
  seed: macaronios/phoenix-dev-minimal-devel:latest-amd64
  package:
    name: pinentry-gnome
    version: 1.2.1+3
    category: app-crypt
    description: Simple passphrase entry dialogs which utilize the Assuan protocol
      for Gnome
    uri:
    - https://gnupg.org/aegypten2
    license: GPL-2
    buildtimestamp: 2023-10-28 23:50:21.675773906 +0000 UTC m=+850.455786866
    labels:
      emerge.packages: app-crypt/pinentry
      original.package.version: 1.2.1
    treedir: /build/packages
  package_dir: /pkgdir/pinentry-gnome
  retrieve: []
  unpack: false
  includes:
  - /usr$
  - /usr/bin$
  - /usr/bin/pinentry-gnome3
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 9077af56ad2b441c4fbe86f83590ecd86c606d656927137e2fb4fe8f3cad46be
compressiontype: zstd
files:
- usr/bin/pinentry-gnome3
package_cacheimage: ""
runtime:
  name: pinentry-gnome
  version: 1.2.1+3
  category: app-crypt
  requires:
  - name: libassuan
    version: '>=0'
    category: dev-libs
  - name: libgcrypt
    version: '>=0'
    category: dev-libs
  - name: ncurses
    version: '>=0'
    category: sys-libs
  description: Simple passphrase entry dialogs which utilize the Assuan protocol for
    Gnome
  uri:
  - https://gnupg.org/aegypten2
  license: GPL-2
  labels:
    emerge.packages: app-crypt/pinentry
    original.package.version: 1.2.1
